Update Avi Setting

Update Avi Setting
Update the regional Avi Load Balancer setting.

Updates the the regional Avi Load Balancer setting.

Request
URI
PUT
https://{api_host}/cloudapi/v1/regionalNetworkingSettings/{settingId}/aviSetting
COPY
Path Parameters
string
settingId
Required

settingId


Request Body
AviSetting of type(s) application/json
Required
This request body class requires all of the following: NetworkingEntityStatus , InlineAviSetting1
{
    "status": "string",
    "active": false,
    "serviceEngineGroupMode": "string",
    "serviceEngineQuota": 0,
    "applicationLimit": 0,
    "serviceEngineGroupRefs": [
        {
            "name": "string",
            "id": "string"
        }
    ]
}
Authentication
This operation uses the following authentication methods.
Responses
202

The request have been accepted and the task to monitor the request is in the Location header.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"active":"boolean"}' https://{api_host}/cloudapi/v1/regionalNetworkingSettings/{settingId}/aviSetting